---
updatedAt: 2026-10-29T23:07:35.000Z
agentTools:
  projectIndex: https://docs.whippy.ai/llms.txt
---

# Archive Custom Object

Archives a Custom Object based on the provided filters.


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "ArchiveCustomObjectInvalidParamsResponse": {
        "description": "Response schema for archiving a Custom Object with invalid parameters.",
        "properties": {
          "data": {
            "properties": {
              "message": {
                "description": "The message of the response",
                "example": "Invalid parameters",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "ArchiveCustomObjectInvalidParamsResponse",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      },
      "ArchiveCustomObjectParams": {
        "description": "Request schema for archiving a Custom Object.",
        "properties": {
          "filters": {
            "items": {
              "properties": {
                "comparison": {
                  "description": "The comparison operator. Use '=' for equality. '==' is accepted as a compatibility alias and behaves identically.",
                  "enum": [
                    "=",
                    "==",
                    ">",
                    ">=",
                    "<",
                    "<=",
                    "!=",
                    "in",
                    "not in"
                  ],
                  "example": "=",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "key": {
                  "description": "The key of the Custom Property",
                  "example": "city",
                  "type": "string",
                  "x-struct": null,
                  "x-validate": null
                },
                "value": {
                  "description": "The value(s) of the Custom Property. Use a scalar for single-value comparisons or an array for 'in' and 'not in'.",
                  "oneOf": [
                    {
                      "description": "A string value for a single-value comparison",
                      "example": "New York",
                      "type": "string",
                      "x-struct": null,
                      "x-validate": null
                    },
                    {
                      "description": "A numeric value (integer or float) for a single-value comparison",
                      "example": 206837201,
                      "type": "number",
                      "x-struct": null,
                      "x-validate": null
                    },
                    {
                      "description": "A boolean value for a single-value comparison",
                      "example": true,
                      "type": "boolean",
                      "x-struct": null,
                      "x-validate": null
                    },
                    {
                      "description": "The values of the Custom Property (for 'in' and 'not in' comparisons)",
                      "example": [
                        "New York",
                        "Los Angeles",
                        "Chicago"
                      ],
                      "items": {
                        "oneOf": [
                          {
                            "type": "string",
                            "x-struct": null,
                            "x-validate": null
                          },
                          {
                            "type": "number",
                            "x-struct": null,
                            "x-validate": null
                          },
                          {
                            "type": "boolean",
                            "x-struct": null,
                            "x-validate": null
                          }
                        ],
                        "x-struct": null,
                        "x-validate": null
                      },
                      "type": "array",
                      "x-struct": null,
                      "x-validate": null
                    }
                  ],
                  "x-struct": null,
                  "x-validate": null
                }
              },
              "type": "object",
              "x-struct": null,
              "x-validate": null
            },
            "type": "array",
            "x-struct": null,
            "x-validate": null
          },
          "key": {
            "description": "The key of the Custom Object",
            "example": "employee",
            "type": "string",
            "x-struct": null,
            "x-validate": null
          }
        },
        "required": [
          "key",
          "filters"
        ],
        "title": "ArchiveCustomObjectParams",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      },
      "ArchiveCustomObjectResponse": {
        "description": "Response schema for archiving a Custom Object.",
        "properties": {
          "data": {
            "properties": {
              "message": {
                "description": "The message of the response",
                "example": "Archive job added",
                "type": "string",
                "x-struct": null,
                "x-validate": null
              }
            },
            "type": "object",
            "x-struct": null,
            "x-validate": null
          }
        },
        "title": "ArchiveCustomObjectResponse",
        "type": "object",
        "x-struct": null,
        "x-validate": null
      }
    },
    "securitySchemes": {
      "authorization": {
        "in": "header",
        "name": "X-WHIPPY-KEY",
        "type": "apiKey"
      },
      "bearer": {
        "description": "OAuth Access token",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Data Platform endpoints in the Whippy public API.\n\n## Authentication\n\nThe Whippy Public API supports two authentication methods:\n\n**API Key** — Generate an organization API token and send it with every request as the `X-WHIPPY-KEY` header.\n\n**OAuth Bearer Token** — Obtain an access token via the OAuth authorization flow and send it as a Bearer token in the `Authorization` header (e.g. `Authorization: Bearer <access_token>`).\n\n## Rate Limiting\n\nThe Whippy API is rate limited. Different endpoints have different rate limits.\nEach request to the API will return the following headers, which can be used to keep track of your rate limit status:\n * `x-ratelimit-max`: The maximum number of requests that the consumer is permitted to make in the given time period.\n * `x-ratelimit-remaining`: The number of requests remaining in the current rate limit window.\n * `x-ratelimit-interval-milliseconds`: The rate limit window in milliseconds.\n * `x-ratelimit-remaining-interval-milliseconds`: The time in milliseconds until the rate limit window resets.\n",
    "title": "Data Platform",
    "version": "1.0"
  },
  "openapi": "3.0.0",
  "paths": {
    "/v1/custom_objects/archive": {
      "post": {
        "callbacks": {},
        "deprecated": false,
        "description": "Archives a Custom Object based on the provided filters.\n",
        "operationId": "archiveCustomObject",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ArchiveCustomObjectParams"
              }
            }
          },
          "description": "archiveCustomObject Request",
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ArchiveCustomObjectResponse"
                }
              }
            },
            "description": "archiveCustomObject Response"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ArchiveCustomObjectInvalidParamsResponse"
                }
              }
            },
            "description": "Invalid parameters"
          }
        },
        "security": [
          {},
          {
            "authorization": []
          },
          {
            "bearer": []
          }
        ],
        "summary": "Archive Custom Object",
        "tags": [
          "Objects"
        ]
      }
    }
  },
  "security": [],
  "servers": [
    {
      "url": "https://api.whippy.co",
      "variables": {}
    }
  ],
  "tags": [
    {
      "name": "Objects"
    }
  ],
  "x-readme": {
    "apply-endpoint-order": true,
    "apply-tag-changes": true
  }
}
```

# Sibling pages

* [Delete Custom Object](https://docs.whippy.ai/reference/deletecustomobject.md)
* [Update Custom Object](https://docs.whippy.ai/reference/updatecustomobject.md)
* [List Custom Objects](https://docs.whippy.ai/reference/listcustomobjects.md)
* [Create Custom Object](https://docs.whippy.ai/reference/createcustomobject.md)